Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.adapter
Class PortletPreferencesListAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<PortletPreferenceMetaData>,java.util.Map<java.lang.String,PortletPreferenceMetaData>>
          org.jboss.portal.portlet.impl.metadata.adapter.PortletPreferencesListAdapter

    public class PortletPreferencesListAdapter

extends javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<PortletPreferenceMetaData>,java.util.Map<java.lang.String,PortletPreferenceMetaData>>

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`PortletPreferencesListAdapter()`

Method Summary
`java.util.List<PortletPreferenceMetaData>` | `marshal(java.util.Map<java.lang.String,PortletPreferenceMetaData> arg0)`
`java.util.Map<java.lang.String,PortletPreferenceMetaData>` | `unmarshal(java.util.List<PortletPreferenceMetaData> list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPreferencesListAdapter

    public PortletPreferencesListAdapter()

Method Detail

### marshal

    public java.util.List<PortletPreferenceMetaData> marshal(java.util.Map<java.lang.String,PortletPreferenceMetaData> arg0)
                                                      throws java.lang.Exception

  Specified by:
    `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<PortletPreferenceMetaData>,java.util.Map<java.lang.String,PortletPreferenceMetaData>>`
  Throws:
    `java.lang.Exception`

### unmarshal

    public java.util.Map<java.lang.String,PortletPreferenceMetaData> unmarshal(java.util.List<PortletPreferenceMetaData> list)
                                                                        throws java.lang.Exception

  Specified by:
    `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<PortletPreferenceMetaData>,java.util.Map<java.lang.String,PortletPreferenceMetaData>>`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.